UbixOS V2 2.0

Macros | Functions
strtol.c File Reference
`#include <sys/cdefs.h>`
Include dependency graph for strtol.c:

Go to the source code of this file.

## Macros
#define | LONG_MAX 0x7fffffffL
#define | LONG_MIN (-0x7fffffffL - 1)

## Functions
long | strtol (const char *__restrict nptr, char **__restrict endptr, int base)

## Macro Definition Documentation

## ◆ LONG_MAX

#define LONG_MAX 0x7fffffffL

Definition at line 35 of file strtol.c.

## ◆ LONG_MIN

#define LONG_MIN (-0x7fffffffL - 1)

Definition at line 34 of file strtol.c.

## Function Documentation

## ◆ strtol()

long strtol | ( | const char *__restrict | nptr,
|  | char **__restrict | endptr,
|  | int | base
| ) |  |

Definition at line 37 of file strtol.c.

References LONG_MAX, and LONG_MIN.